'use strict';

// This is shared.
var transformAsyncToModuleMethod = require('babel-plugin-transform-async-to-module-method');
var asyncPlugin = [transformAsyncToModuleMethod, {
  module: 'bluebird',
  method: 'coroutine'
}];
var addModuleExports = require('babel-plugin-add-module-exports');
var transformRuntime = require('babel-plugin-transform-runtime');
var externalHelpers = require('babel-plugin-external-helpers-2');
var transformDecoratorsLegacy = require('babel-plugin-transform-decorators-legacy').default;
var babelDefaults = {
  plugins: [externalHelpers, asyncPlugin, transformRuntime, addModuleExports, transformDecoratorsLegacy],
  presets: ['es2015', 'react', 'stage-0']
};

module.exports = babelDefaults;